Create Agent

Creates a new agent on a team (using the team_id). Email, first and last name are required.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

Team ID

Body Params
string
required

Agent Email

string
required

Agent First Name

string
required

Agent Last Name

string

Password - defaults to 'password' when not provided

boolean

Send account creation welcome email to agent after creation (default: false)

string

External App ID

string

External GUID

role_settings
array of objects

Role Settings - an object consisting of role IDs as keys, and boolean values.
Role IDs: ADMIN, AGENT, TRANC, ISISA
Example: {'ADMIN': true}

role_settings
integer

The group ID to add this agent to

boolean

Only used when a group_id is also supplied, determines if the agent should contribute towards the group's reports or not.

boolean

Only used when a group_id is also supplied, determines if the agent is a coach for this group.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json